reflex::Pattern::DFA::MetaEdgesClosure Struct Reference

|  | reflex::Pattern::DFA::MetaEdgesClosure Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::Pattern::DFA::MetaEdgesClosure Struct Reference

`#include <pattern.h>`

Collaboration diagram for reflex::Pattern::DFA::MetaEdgesClosure:
[legend]

## Public Member Functions
| MetaEdgesClosure (State &state)
| MetaEdgesClosure (State *state)
| ~MetaEdgesClosure ()
MetaEdgesClosure & | operator++ ()
Char | lo () const
Char | hi () const
State * | state () const
bool | accepting () const
bool | next_accepting () const
bool | find_accepting ()
bool | done ()
void | walk ()

## Public Attributes
std::stack< std::pair< State::Edges::const_iterator, State::Edges::const_iterator > > | stack
State::Edges::const_iterator | edge
State::Edges::const_iterator | end
bool | accept

## Constructor & Destructor Documentation

reflex::Pattern::DFA::MetaEdgesClosure::MetaEdgesClosure | ( | State & | state | ) |
| inline

reflex::Pattern::DFA::MetaEdgesClosure::MetaEdgesClosure | ( | State * | state | ) |
| inline

reflex::Pattern::DFA::MetaEdgesClosure::~MetaEdgesClosure | ( |  | ) |
| inline

## Member Function Documentation

bool reflex::Pattern::DFA::MetaEdgesClosure::accepting | ( |  | ) | const
| inline

bool reflex::Pattern::DFA::MetaEdgesClosure::done | ( |  | ) |
| inline

bool reflex::Pattern::DFA::MetaEdgesClosure::find_accepting | ( |  | ) |
| inline

Char reflex::Pattern::DFA::MetaEdgesClosure::hi | ( |  | ) | const
| inline

Char reflex::Pattern::DFA::MetaEdgesClosure::lo | ( |  | ) | const
| inline

bool reflex::Pattern::DFA::MetaEdgesClosure::next_accepting | ( |  | ) | const
| inline

MetaEdgesClosure& reflex::Pattern::DFA::MetaEdgesClosure::operator++ | ( |  | ) |
| inline

State* reflex::Pattern::DFA::MetaEdgesClosure::state | ( |  | ) | const
| inline

void reflex::Pattern::DFA::MetaEdgesClosure::walk | ( |  | ) |
| inline

## Member Data Documentation

bool reflex::Pattern::DFA::MetaEdgesClosure::accept

State::Edges::const_iterator reflex::Pattern::DFA::MetaEdgesClosure::edge

State::Edges::const_iterator reflex::Pattern::DFA::MetaEdgesClosure::end

std::stack<std::pair<State::Edges::const_iterator,State::Edges::const_iterator> > reflex::Pattern::DFA::MetaEdgesClosure::stack

The documentation for this struct was generated from the following file:

- pattern.h